Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenLink

All Superinterfaces:
  EObject, GenCommonBase, Notifier

All Known Implementing Classes:
  GenLinkImpl

public interface GenLink
extends GenCommonBase

A representation of the model object 'Gen Link'.

The following features are supported:

- `Diagram`
- `Model Facet`
- `Labels`
- `Outgoing Creation Allowed`
- `Incoming Creation Allowed`
- `View Direction Aligned With Model`
- `Creation Constraints`

See Also:
  `GMFGenPackage.getGenLink()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='diagramRunTimeClass.ecoreClass.eAllSuperTypes->including(diagramRunTimeClass.ecoreClass)->one(ePackage.name = \'notation\' and name = \'Edge\')' description='Link \'Diagram Runtime Class\' must be a notation::Edge or sub-class'"

Field Summary
`static java.lang.String` `CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`GenLinkConstraints` `getCreationConstraints()` Returns the value of the 'Creation Constraints' containment reference.
`GenDiagram` `getDiagram()` Returns the value of the 'Diagram' container reference.
`EList` `getLabels()` Returns the value of the 'Labels' containment reference list.
`LinkModelFacet` `getModelFacet()` Returns the value of the 'Model Facet' containment reference
`EList` `getSources()` Returns link sources in this genmodel
`EList` `getTargets()` Returns link targets in this genmodel
`boolean` `isIncomingCreationAllowed()` Returns the value of the 'Incoming Creation Allowed' attribute.
`boolean` `isOutgoingCreationAllowed()` Returns the value of the 'Outgoing Creation Allowed' attribute.
`boolean` `isViewDirectionAlignedWithModel()` Returns the value of the 'View Direction Aligned With Model' attribute.
`void` `setCreationConstraints(GenLinkConstraints value)` Sets the value of the '`Creation Constraints`' containment reference
`void` `setIncomingCreationAllowed(boolean value)` Sets the value of the '`Incoming Creation Allowed`' attribute
`void` `setModelFacet(LinkModelFacet value)` Sets the value of the '`Model Facet`' containment reference
`void` `setOutgoingCreationAllowed(boolean value)` Sets the value of the '`Outgoing Creation Allowed`' attribute
`void` `setViewDirectionAlignedWithModel(boolean value)` Sets the value of the '`View Direction Aligned With Model`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### CLASS_NAME_PREFIX

    public static final java.lang.String CLASS_NAME_PREFIX

See Also:
  Constant Field Values

Method Detail

### getDiagram

    public GenDiagram getDiagram()

  Returns the value of the 'Diagram' container reference. It is bidirectional and its opposite is '`Links`'.

  If the meaning of the 'Diagram' container reference isn't clear, there really should be more of a description here...

  Specified by:
    `getDiagram` in interface `GenCommonBase`
  Returns:
    the value of the 'Diagram' container reference.
  See Also:
    `GMFGenPackage.getGenLink_Diagram()`, `GenDiagram.getLinks()`
  ** Generated **
  Model:
    opposite="links" required="true" changeable="false"

### getModelFacet

    public LinkModelFacet getModelFacet()

  Returns the value of the 'Model Facet' containment reference.

  If the meaning of the 'Model Facet' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `GenLink.setModelFacet(LinkModelFacet)`, `GMFGenPackage.getGenLink_ModelFacet()`
  ** Generated **
  Model:
    containment="true"

### setModelFacet

    public void setModelFacet(LinkModelFacet value)

  Sets the value of the '`Model Facet`' containment reference.

  Parameters:
    `value` - the new value of the 'Model Facet' containment reference.
  See Also:
    `GenLink.getModelFacet()`
  ** Generated **

### getLabels

    public EList getLabels()

  Returns the value of the 'Labels' containment reference list. The list contents are of type `GenLinkLabel`. It is bidirectional and its opposite is '`Link`'.

  If the meaning of the 'Labels' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGenPackage.getGenLink_Labels()`, `GenLinkLabel.getLink()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenLinkLabel" opposite="link" containment="true"

### isOutgoingCreationAllowed

    public boolean isOutgoingCreationAllowed()

  Returns the value of the 'Outgoing Creation Allowed' attribute. The default value is `"true"`. Support link creation from source to target

  Returns:
    the value of the 'Outgoing Creation Allowed' attribute.
  See Also:
    `GenLink.setOutgoingCreationAllowed(boolean)`, `GMFGenPackage.getGenLink_OutgoingCreationAllowed()`
  ** Generated **
  Model:
    default="true"

### setOutgoingCreationAllowed

    public void setOutgoingCreationAllowed(boolean value)

  Sets the value of the '`Outgoing Creation Allowed`' attribute.

  Parameters:
    `value` - the new value of the 'Outgoing Creation Allowed' attribute.
  See Also:
    `GenLink.isOutgoingCreationAllowed()`
  ** Generated **

### isIncomingCreationAllowed

    public boolean isIncomingCreationAllowed()

  Returns the value of the 'Incoming Creation Allowed' attribute. The default value is `"false"`. Support link creation from target to source

  Returns:
    the value of the 'Incoming Creation Allowed' attribute.
  See Also:
    `GenLink.setIncomingCreationAllowed(boolean)`, `GMFGenPackage.getGenLink_IncomingCreationAllowed()`
  ** Generated **
  Model:
    default="false"

### setIncomingCreationAllowed

    public void setIncomingCreationAllowed(boolean value)

  Sets the value of the '`Incoming Creation Allowed`' attribute.

  Parameters:
    `value` - the new value of the 'Incoming Creation Allowed' attribute.
  See Also:
    `GenLink.isIncomingCreationAllowed()`
  ** Generated **

### isViewDirectionAlignedWithModel

    public boolean isViewDirectionAlignedWithModel()

  Returns the value of the 'View Direction Aligned With Model' attribute. The default value is `"true"`. View (Edge) will always be directed from model source to model target

  Returns:
    the value of the 'View Direction Aligned With Model' attribute.
  See Also:
    `GenLink.setViewDirectionAlignedWithModel(boolean)`, `GMFGenPackage.getGenLink_ViewDirectionAlignedWithModel()`
  ** Generated **
  Model:
    default="true"

### setViewDirectionAlignedWithModel

    public void setViewDirectionAlignedWithModel(boolean value)

  Sets the value of the '`View Direction Aligned With Model`' attribute.

  Parameters:
    `value` - the new value of the 'View Direction Aligned With Model' attribute.
  See Also:
    `GenLink.isViewDirectionAlignedWithModel()`
  ** Generated **

### getCreationConstraints

    public GenLinkConstraints getCreationConstraints()

  Returns the value of the 'Creation Constraints' containment reference. It is bidirectional and its opposite is '`Link`'. Specifies additional restrictions on link creation

  Returns:
    the value of the 'Creation Constraints' containment reference.
  See Also:
    `GenLink.setCreationConstraints(GenLinkConstraints)`, `GMFGenPackage.getGenLink_CreationConstraints()`, `GenLinkConstraints.getLink()`
  ** Generated **
  Model:
    opposite="link" containment="true"

### setCreationConstraints

    public void setCreationConstraints(GenLinkConstraints value)

  Sets the value of the '`Creation Constraints`' containment reference.

  Parameters:
    `value` - the new value of the 'Creation Constraints' containment reference.
  See Also:
    `GenLink.getCreationConstraints()`
  ** Generated **

### getSources

    public EList getSources()

  Returns link sources in this genmodel

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.gmf.codegen.gmfgen.GenCommonBase"

### getTargets

    public EList getTargets()

  Returns link targets in this genmodel

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.gmf.codegen.gmfgen.GenCommonBase"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.